#USB_PID=$EF04
#USB_VID=$AAAA
#NO_Device="   "
LoadFont(2,"Arial",22,#PB_Font_Bold)

Procedure FindDevice_Timer() ;  ( 400 .)   
Shared DeviceHandle
Static Old_Test
Test=HID_Lib_DeviceTest(#USB_PID, #USB_VID) ;   USB HID ?
 If Test<>Old_Test
  Old_Test=Test
  If Test 
     HID_Lib_CloseDevice(DeviceHandle)
     DeviceHandle=HID_Lib_OpenDevice(#USB_PID, #USB_VID) ;   HID 
     SetGadgetText(0," ")
  Else
     HID_Lib_CloseDevice(DeviceHandle)                   ;    
     DeviceHandle=0
     SetGadgetText(0,#NO_Device)
     SetGadgetText(1,"OFF")
     SysTrayIconToolTip(1,"OFF")
  EndIf
 EndIf
EndProcedure

Procedure Thread(*x) ;      
 Shared DeviceHandle
 Repeat
   If DeviceHandle   ;     ?
     In.l=0
     HID_Lib_ReadDevice(DeviceHandle, @In, 3) ;    
     ;Debug In
       In=In>>8                               ;    8 
       Result.f=In/16
       If Result<150 And Result>-50           ;   !
         SetGadgetText(1,StrF(Result,1)+" C")      ;    
         SysTrayIconToolTip(1,StrF(Result,1)+" C") ;    
       EndIf
   EndIf
   Delay(100)
 ForEver
EndProcedure

CreatePopupMenu(0) ;    
 MenuItem(1," ")
 MenuItem(2," ")
 MenuBar()
 MenuItem(3,"")

OpenWindow(0,0,0,170,70,"USB_Termo", #PB_Window_MinimizeGadget|#PB_Window_Invisible|#PB_Window_ScreenCentered)
 StickyWindow(0,1)
 TextGadget(0,4,4,162,16,#NO_Device,#PB_Text_Center)
 StringGadget(1,16,24,140,40,"OFF",#PB_Text_Center|#PB_String_ReadOnly)
   SetGadgetFont(1,FontID(2))
   SetGadgetColor(1,#PB_Gadget_FrontColor,$DF0000)
FindDevice_Timer()
HideWindow(0,0)

SetTimer_(WindowID(0),1,400,@FindDevice_Timer()) ;    FindDevice_Timer(),  
CreateThread(@Thread(),0)                        ;      Thread()

AddSysTrayIcon(1,WindowID(0),ExtractIcon_(0,ProgramFilename(),0)) ;   

Repeat ;    Repeat - Until
  Event=WaitWindowEvent() ;  
 
   If Event=#PB_Event_SysTray ;       
     Select EventType()
       Case #PB_EventType_RightClick     ;    
         DisplayPopupMenu(0,WindowID(0)) ;   
       Case #PB_EventType_LeftClick      ;    
         HideWindow(0,0)                  ;  
         SetWindowState(0,#PB_Window_Normal)
         SetActiveWindow(0)
     EndSelect
   ElseIf Event=#PB_Event_Gadget         ;   
     SetActiveGadget(0)
   ElseIf Event=#PB_Event_MinimizeWindow ;  
     HideWindow(0,1)                      ;   
   ElseIf Event=#PB_Event_Menu           ;   
     Select EventMenu()
       Case 1          ;  " "
         HideWindow(0,0)
         SetWindowState(0,#PB_Window_Normal)
         SetActiveWindow(0)
       Case 2          ;  " "
         HideWindow(0,1)
       Case 3          ;  ""
         Break
     EndSelect
   EndIf
 
Until Event=#PB_Event_CloseWindow ;      
KillTimer_(WindowID(0),1) ;  
; IDE Options = PureBasic 4.41 (Windows - x86)
; CursorPosition = 54
; FirstLine = 36
; Folding = -
; EnableThread
; EnableXP
; UseIcon = .ico
; Executable = USB_Termo.exe
; SubSystem = UserLibThreadSafe
; IncludeVersionInfo
; VersionField11 = PID - EF04H;  VID - AAAAH